# Interface GetConversationsParameters`Beta`

Parameters object for VonageClient.getConversations

interface GetConversationsParameters {
cursor?: Nullable<string>;
includeCustomData?: Nullable<boolean>;
order?: Nullable<PresentingOrder>;
orderBy?: Nullable<OrderBy>;
pageSize?: Nullable<number>;
}

#####
Index

### Properties

cursor?
includeCustomData?
order?
orderBy?
pageSize?

## Properties

### `Optional` `Readonly` cursor

cursor?: Nullable<string>

The cursor indicating the starting point for pagination, default is the first page.

### `Optional` `Readonly` includeCustomData

includeCustomData?: Nullable<boolean>

Indicates whether to include custom data in the results, default is false.

### `Optional` order

order?: Nullable<PresentingOrder>

The order in which conversations are presented, default is PresentingOrder.ASC.

### `Optional` orderBy

orderBy?: Nullable<OrderBy>

The strategy for ordering the conversations, default is OrderBy.CREATED.

### `Optional` pageSize

pageSize?: Nullable<number>

The maximum number of conversations to retrieve per request, default is 10.